Bug 920436 (bootstrap-sass) - Review Request: rubygem-bootstrap-sass - Bootstrap, converted to Sass
Summary: Review Request: rubygem-bootstrap-sass - Bootstrap, converted to Sass
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: bootstrap-sass
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 967331 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-12 06:05 UTC by Dan Allen
Modified: 2014-07-25 03:19 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-17 00:10:43 UTC


Attachments (Terms of Use)

Description Dan Allen 2013-03-12 06:05:44 UTC
Repository: https://github.com/mojavelinux/rubygem-bootstrap-sass-rpm
Spec URL: https://raw.github.com/mojavelinux/rubygem-bootstrap-sass-rpm/master/rubygem-bootstrap-sass.spec
SRPM URL: https://github.com/mojavelinux/rubygem-bootstrap-sass-rpm/raw/master/srpms/rubygem-bootstrap-sass-2.3.0.1-1.fc17.src.rpm
Description: A Sass-powered version of Bootstrap, ready to drop right into your Sass-powered applications.
Fedora Account System Username: mojavelinux

Comment 1 Dan Allen 2013-03-27 06:23:45 UTC
I've updated the RPM to bootstrap-sass-2.3.1.0 and applied patches that allow it to work with the version of Sass available on F18.

Repository: https://github.com/mojavelinux/rubygem-bootstrap-sass-rpm
Spec URL: https://raw.github.com/mojavelinux/rubygem-bootstrap-sass-rpm/master/rubygem-bootstrap-sass.spec
SRPM URL: https://github.com/mojavelinux/rubygem-bootstrap-sass-rpm/raw/master/srpms/rubygem-bootstrap-sass-2.3.1.0-1.fc18.src.rpm

Comment 2 Mamoru TASAKA 2013-03-29 03:49:44 UTC
Dan, I would appreciate it if you would swap this review request with one of my rubygem-related review request (e.g. bug 922460 )

Comment 3 Mamoru TASAKA 2013-04-01 07:21:56 UTC
Anyway assigning.

It seems that there is nothing special item for packaging this srpm, however one thing.

* Conditional patch
---------------------------------------
    48  # apply patches for distributions with Sass < 3.2
    49  %if 0%{?rhel} < 7 || 0%{?fedora} < 19
---------------------------------------
  - With this patches are always applied (because when fedora is defined,
    usually rhel is usually not defined): e.g. for F-19:
    http://koji.fedoraproject.org/koji/taskinfo?taskID=5193352
    and this is perhaps against your intend.

Comment 4 Mamoru TASAKA 2013-04-07 07:50:03 UTC
ping?

By the way, bug 922460 is assigned, so instead I would appreciate it if you would review swaps with my other requests (e.g. bug 892314 )

Comment 5 Dan Allen 2013-04-09 18:42:39 UTC
I picked up that condition patch from another RPM that was built for both epel and fedora. I honestly don't know if it's right because I have yet to test epel packages. Do you know what the correct conditional is then?

I will try to look at your other requests, but at the moment I am very short on time.

Comment 6 Mamoru TASAKA 2013-04-10 04:42:42 UTC
What I am saying is that NOT of 
%if 0%{?rhel} > 6 || 0%{?fedora} > 18 
(as appears on the line 15 of your spec file) is
%if 0%{?rhel} < 7 && 0%{?fedora} < 19 , not
%if 0%{?rhel} < 7 || 0%{?fedora} < 19

Comment 7 Mamoru TASAKA 2013-04-23 00:26:08 UTC
ping again?

Comment 8 Mamoru TASAKA 2013-05-07 03:55:02 UTC
again ping?

Comment 9 Mamoru TASAKA 2013-06-03 00:20:10 UTC
I will close this bug if no response from the reporter is received within one week.

Comment 10 Vít Ondruch 2013-06-03 10:32:57 UTC
*** Bug 967331 has been marked as a duplicate of this bug. ***

Comment 11 Mamoru TASAKA 2013-06-17 00:10:43 UTC
Closing.

If someone is interested in this package, please open a new review request, thank you.


Note You need to log in before you can comment on or make changes to this bug.